Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.apps.rasterizer
Class DestinationType

    java.lang.Object
      org.apache.batik.apps.rasterizer.DestinationType

    public final class DestinationType

extends Object

Describes the type of destination for an `SVGConverter` operation.

Field Summary
`static DestinationType` | `JPEG`
`static int` | `JPEG_CODE`
`static String` | `JPEG_EXTENSION`
`static String` | `JPEG_STR`
`static DestinationType` | `PDF`
`static int` | `PDF_CODE`
`static String` | `PDF_EXTENSION`
`static String` | `PDF_STR`
`static DestinationType` | `PNG`
`static int` | `PNG_CODE`
`static String` | `PNG_EXTENSION`
`static String` | `PNG_STR`
`static DestinationType` | `TIFF`
`static int` | `TIFF_CODE`
`static String` | `TIFF_EXTENSION`
`static String` | `TIFF_STR`

Method Summary
`String` | `getExtension()`
`protected Transcoder` | `getTranscoder()` Returns a transcoder object of the result image type.
`DestinationType[]` | `getValues()` Defines valid image types.
`Object` | `readResolve()`
`int` | `toInt()`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PNG_STR

    public static final String PNG_STR

See Also:
  Constant Field Values

### JPEG_STR

    public static final String JPEG_STR

See Also:
  Constant Field Values

### TIFF_STR

    public static final String TIFF_STR

See Also:
  Constant Field Values

### PDF_STR

    public static final String PDF_STR

See Also:
  Constant Field Values

### PNG_CODE

    public static final int PNG_CODE

See Also:
  Constant Field Values

### JPEG_CODE

    public static final int JPEG_CODE

See Also:
  Constant Field Values

### TIFF_CODE

    public static final int TIFF_CODE

See Also:
  Constant Field Values

### PDF_CODE

    public static final int PDF_CODE

See Also:
  Constant Field Values

### PNG_EXTENSION

    public static final String PNG_EXTENSION

See Also:
  Constant Field Values

### JPEG_EXTENSION

    public static final String JPEG_EXTENSION

See Also:
  Constant Field Values

### TIFF_EXTENSION

    public static final String TIFF_EXTENSION

See Also:
  Constant Field Values

### PDF_EXTENSION

    public static final String PDF_EXTENSION

See Also:
  Constant Field Values

### PNG

    public static final DestinationType PNG

### JPEG

    public static final DestinationType JPEG

### TIFF

    public static final DestinationType TIFF

### PDF

    public static final DestinationType PDF

Method Detail

### getExtension

    public String getExtension()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### toInt

    public int toInt()

### getTranscoder

    protected Transcoder getTranscoder()

  Returns a transcoder object of the result image type.

  Returns:
    Transcoder object or `null` if there isn't a proper transcoder.

### getValues

    public DestinationType[] getValues()

  Defines valid image types.

  Returns:
    Array of valid values as strings.

### readResolve

    public Object readResolve()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.